## python-ciso8601 2.2.0

=== benchmarking/requirements.txt ===
importlib_metadata; python_version < '3.8'
pytablewriter
tox

## python-ciso8601 2.1.3

=== debian/changelog ===
python-ciso8601 (2.1.3-3) unstable; urgency=medium

  * Team Upload.
  * Fix Build-Depends (Closes: #972773)
  * Add hardening options
  * Add upstream/metadata
  * Bump compat: version to 13

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 26 Oct 2020 00:07:25 +0530

python-ciso8601 (2.1.3-2) unstable; urgency=medium

  * Team upload.
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Apr 2020 10:57:31 +0200

python-ciso8601 (2.1.3-1) unstable; urgency=medium

  * Initial release (Closes: #958209)

 -- Malihe Asemani <ml.asemani@gmail.com>  Sat, 18 Apr 2020 14:27:45 -0500

=== debian/control ===
Source: python-ciso8601
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Malihe Asemani <ml.asemani@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-all-dev,
               python3-setuptools,
               dh-python,
               python3-unittest2,
               python3-tz
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-ciso8601
Vcs-Git: https://salsa.debian.org/med-team/python-ciso8601.git
Homepage: https://github.com/closeio/ciso8601
Rules-Requires-Root: no

Package: python3-ciso8601
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: fast ISO8601 date time parser for Python written in C
 This package converts date time strings from ISO8601 or RFC3339 into Python
 datetime objects. Since it's written as a C module, it is much faster than
 other Python libraries. Ciso8601 doesn't support the entirety of the ISO 8601
 spec, only a popular subset.

=== debian/tests/control ===
Test-Command: python3 -c "import ciso8601 ; x=ciso8601.parse_datetime('2020-04-21T21:16:45.123456-04:30'); print(x, type(x).__name__); y=ciso8601.parse_datetime('20200421T211645'); print(y, type(y).__name__)"
Depends: python3-all, python3-ciso8601
Restrictions: allow-stderr

=== debian/watch ===
version=4

https://github.com/closeio/ciso8601/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-ciso8601 2.2.0

=== debian/changelog ===
python-ciso8601 (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Python Team
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 02 Jan 2022 10:30:29 +0100

python-ciso8601 (2.2.0-1) unstable; urgency=medium

  * Team Upload.
  * d/watch: Fix watch regex
  * New upstream version 2.2.0
  * Declare compliance with policy 4.5.1
  * d/tests/run-unit-test: Also run upstream unittests as autopkgtests
  * d/control: Annotate python3-tz and python3-unittest2 with <!nocheck>

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 Aug 2021 21:29:54 +0530

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME=ciso8601

%:
	dh $@ --with python3 --buildsystem pybuild

=== debian/tests/control ===
Test-Command: python3 -c "import ciso8601 ; x=ciso8601.parse_datetime('2020-04-21T21:16:45.123456-04:30'); print(x, type(x).__name__); y=ciso8601.parse_datetime('20200421T211645'); print(y, type(y).__name__)"
Depends: @
Restrictions: allow-stderr

Tests: run-unit-test
Depends: @, python3-unittest2, python3-tz
Restrictions: allow-stderr

## python-ciso8601 2.3.1

=== debian/changelog ===
python-ciso8601 (2.3.1-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:41:32 +0000

python-ciso8601 (2.3.1-2) unstable; urgency=medium

  * Team upload.
  * remove old dependency on python3-unittest2 (Closes: #1058978)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 02 Jan 2024 11:18:21 +0100

python-ciso8601 (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * d/clean: Remove autogenerated files (Closes: #1046261)
  * d/patches: Remove /etc/timezone reference (Closes: #1038844)
  * d/copyright: Update copyright of all files and add missing copyrights
  * d/tests: Test all supported python versions

 -- Lance Lin <lq27267@gmail.com>  Fri, 10 Nov 2023 15:05:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-ciso8601
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Malihe Asemani <ml.asemani@gmail.com>
 Section: python
 Priority: optional
@@ -7,11 +7,10 @@
                python3-all-dev,
                python3-setuptools,
                dh-python,
-               python3-unittest2,
-               python3-tz
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/med-team/python-ciso8601
-Vcs-Git: https://salsa.debian.org/med-team/python-ciso8601.git
+               python3-tz <!nocheck>
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ciso8601
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-ciso8601.git
 Homepage: https://github.com/closeio/ciso8601
 Rules-Requires-Root: no

=== debian/tests/control ===
Test-Command: for py in $(py3versions -s); do $py -c "import ciso8601 ; x=ciso8601.parse_datetime('2020-04-21T21:16:45.123456-04:30'); print(x, type(x).__name__); y=ciso8601.parse_datetime('20200421T211645'); print(y, type(y).__name__)"; done;
Depends: @, python3-all
Restrictions: allow-stderr

Tests: run-unit-test
Depends: @, python3-all, python3-tz
Restrictions: allow-stderr

## python-ciso8601 2.3.2

=== debian/changelog ===
python-ciso8601 (2.3.2-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:50:05 +0000

python-ciso8601 (2.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.2 (Closes: #1098593)
  * Remove patching of inert Dockerfile
  * Use dh-sequence-python3
  * Reformat d/control with debputy
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Mar 2025 11:52:02 +0100

python-ciso8601 (2.3.1-3) unstable; urgency=medium

  * Team upload.
  * debian/rules:
    - Copy generate_test_timestamps.py to the build directory.
      Closes: #1080128.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 29 Sep 2024 07:11:07 +0000

=== debian/control ===
Source: python-ciso8601
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Malihe Asemani <ml.asemani@gmail.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all-dev,
 python3-setuptools,
 python3-tz <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ciso8601
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ciso8601.git
Homepage: https://github.com/closeio/ciso8601
Rules-Requires-Root: no
X-Style: black

Package: python3-ciso8601
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: fast ISO8601 date time parser for Python written in C
 This package converts date time strings from ISO8601 or RFC3339 into Python
 datetime objects. Since it's written as a C module, it is much faster than
 other Python libraries. Ciso8601 doesn't support the entirety of the ISO 8601
 spec, only a popular subset.

## python-ciso8601 2.3.3

=== benchmarking/requirements.txt ===
importlib_metadata; python_version < '3.8'
pytablewriter
tox > 4

=== debian/changelog ===
python-ciso8601 (2.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Sep 2025 01:11:26 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-setuptools,
  python3-tz <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export PYBUILD_NAME=ciso8601
+export PYBUILD_BEFORE_TEST=cp generate_test_timestamps.py {build_dir}
 
 %:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild

=== debian/tests/control ===
Test-Command: for py in $(py3versions -s); do $py -c "import ciso8601 ; x=ciso8601.parse_datetime('2020-04-21T21:16:45.123456-04:30'); print(x, type(x).__name__); y=ciso8601.parse_datetime('20200421T211645'); print(y, type(y).__name__)"; done;
Depends:
 python3-all,
 @,
Restrictions:
 allow-stderr,

Tests:
 run-unit-test,
Depends:
 python3-all,
 python3-tz,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4

https://github.com/closeio/ciso8601/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
